# Retrieve a Loan Charge

`GET /lokta-lms/api/v1/loans/{loanId}/charges/{loanChargeId}`

Retrieves Loan Charge according to the Loan ID and Loan Charge IDExample Requests:

/loans/1/charges/1


/loans/1/charges/1?fields=name,amountOrPercentage

## Parameters
- `loanId` (path, integer, required): loanId
- `loanChargeId` (path, integer, required): loanChargeId

## Responses
- `200`: OK

## Response fields
- `amount` (number)
- `amountOrPercentage` (number)
- `amountOutstanding` (number)
- `amountPaid` (number)
- `amountPercentageAppliedTo` (number)
- `amountWaived` (number)
- `amountWrittenOff` (number)
- `chargeCalculationType` (GetLoanChargeCalculationType)
- `chargeId` (integer)
- `chargeTimeType` (GetLoanChargeTimeType)
- `currency` (GetLoanChargeCurrency)
- `dueDate` (string)
- `externalId` (string)
- `id` (integer)
- `name` (string)
- `penalty` (boolean)
- `percentage` (number)
- `submittedOnDate` (string)

## Example request (cURL)
```bash
curl -X GET \
  'https://default.lokta.tech/lokta-lms/api/v1/loans/{loanId}/charges/{loanChargeId}' \
  -u '{username}:{password}' \
  -H 'Tenant-Identifier: default'
```

## Example response
```json
{
  "amount": 100,
  "amountOrPercentage": 100,
  "amountOutstanding": 100,
  "amountPaid": 0
}
```

Interactive: https://developer.lokta.ai/reference#operation/retrieveOneLoanCharge
